\name{relRisk}
\alias{relRisk}
\title{
Fit a Relative Risk Model for Binary data with Log Link
}
\description{
Fit a Relative Risk Model for Binary data with Log Link using the COPY method.
}
\usage{
relRisk(formula, id, waves = NULL, data = parent.frame(),
        subset = NULL, contrasts = NULL, na.action = na.omit,
        corstr = "indep", ncopy = 1000,
        control = geese.control(), b = NULL, alpha = NULL)
}
\arguments{
  \item{formula}{
    same as in \code{geese}
  }
  \item{id}{
    same as in \code{geese}
  }
  \item{waves}{
    same as in \code{geese}
  }
  \item{data}{
    same as in \code{geese}
  }
  \item{subset}{
    same as in \code{geese}
  }
  \item{contrasts}{
    same as in \code{geese}
  }
  \item{na.action}{
    same as in \code{geese}
  }
  \item{corstr}{
    same as in \code{geese}
  }
  \item{ncopy}{
    the number of copies of the original data in constructing weight.
  }
  \item{control}{
    same as in \code{geese}
  }
  \item{b}{
    initial values for regression coefficients as in \code{geese}
    but more difficult to obtain due to the log link.
  }
  \item{alpha}{
    same as in \code{geese}
  }
}
\value{
  An object of class \code{"geese"} representing the fit.    
}
\references{
  Lumley, T., Kornmal, R. and Ma, S. (2006). Relative risk regression in
  medical research: models, contrasts, estimators, and algorithms. UW
  Biostatistics Working Paper Series 293, University of Washington.
}
\author{
  Jun Yan \email{jyan.stat@gmail.com}
}
\examples{
## some simulation code
## gendata
## do1
beta1 <- -0.5
beta2 <- -0.2
## more simulation code
}
\keyword{models}
